FREE(1)

NAZWA
free - wyświetlanie ilości wolnej i użytej pamięci w systemie

SKŁADNIA
free [option ...]

OPIS
free wyświetla całkowitą ilość wolnej i użytej pamięci fizycznej oraz pamięci wymiany w systemie, a także rozmiary buforów i pamięci podręcznych używanych przez jądro. Informacje są zbierane poprzez analizę /proc/meminfo. Wyświetlane kolumny to:

razem
    Całkowita użyteczna pamięć (MemTotal oraz SwapTotal w /proc/meminfo). Obejmuje pamięć fizyczną i obszar wymiany minus kilka zarezerwowanych partii oraz binarny kod jądra.

użyte
    Pamięć użyta lub niedostępna (liczona jako razem - wolne)

wolne
    Pamięć nie używana (MemFree oraz SwapFree w /proc/meminfo)

dzielone
    Pamięć używana (głównie) przez tmpfs (Shmem w /proc/meminfo)

bufory
    Pamięć używana przez bufory jądra (Buffers w /proc/meminfo)

w cache
    Pamięć używana przez cache stron oraz płyty (Cached i SReclaimable w /proc/meminfo)

buf/cache
    Suma buforów i w cache

dostępne
    Przybliżenie, jak dużo pamięci jest dostępne do uruchamiania nowych aplikacji bez swapowania. W przeciwieństwie do danych udostępnianych w polach w cache czy wolne, to pole bierze pod uwagę cache stron oraz to, że nie wszystkie płyty pamięci podlegające reklamacji zostaną zwrócone (MemAvailable w /proc/meminfo, dostępne w jądrach 3.14, emulowane w jądrach 2.6.27+, w innych przypadkach - to samo, co wolne)

OPCJE

-b, --bytes
    Wyświetlanie ilości pamięci w bajtach.

-k, --kibi
    Wyświetlanie ilości pamięci w kibibajtach (zachowanie domyślne).

-m, --mebi
    Wyświetlanie ilości pamięci w mebibajtach.

-g, --gibi
    Wyświetlanie ilości pamięci w gibibajtach.

--tebi
    Wyświetlanie ilości pamięci w tebibajtach.

--pebi
    Wyświetlanie ilości pamięci w pebibajtach.

--kilo
    Wyświetlanie ilości pamięci w kilobajtach. Włącza --si.

--mega
    Wyświetlanie ilości pamięci w megabajtach. Włącza --si.

--giga
    Wyświetlanie ilości pamięci w gigabajtach. Włącza --si.

--tera
    Wyświetlanie ilości pamięci w terabajtach. Włącza --si.

--peta
    Wyświetlanie ilości pamięci w petabajtach. Włącza --si.

-h, --human
    Wyświetlanie wszystkich pól wyjściowych automatycznie przeskalowanych do najkrótszej trzycyfrowej jednostki wraz z użytą jednostką. Używane są następujące jednostki:

      B = bajty
      Ki = kibibajty
      Mi = mebibajty
      Gi = gibibajty
      Ti = tebibajty
      Pi = pebibajty

    Jeśli brak jednostki, a w systemie jest eksbibajt RAM-u lub obszaru wymiany, liczba będzie w tebibajtach, a kolumny mogą nie być wyrównane z nagłówkiem.

-w, --wide
    Przełączenie w tryb szeroki, z liniami przekraczającymi 80 znaków. W tym trybie bufory oraz w cache są wypisywane w dwóch osobnych kolumnach.

-c, --count liczba
    Wyświetlenie wyniku podaną liczbę razy. Wymaga opcji -s.

-l, --lohi
    Wyświetlanie szczegółowych statystyk niskiej i wysokiej pamięci.

-L, --line
    Wyjście w pojedynczej linii, używane zwykle z opcją -s do wielokrotnego pokazywania statystyk pamięci.

-s, --seconds opóźnienie
    Stałe wyświetlanie wyników co podane opóźnienie w sekundach. Można podać dowolną liczbę zmiennoprzecinkową, obsługiwane są opóźnienia z dokładnością do mikrosekundy dzięki użyciu funkcji usleep(3).

--si
    Użycie kilo, mega, giga itp. (potęg 1000) zamiast kibi, mebi, gibi (potęg 1024).

-t, --total
    Wyświetlanie linii pokazującej podsumowanie kolumn.

-v, --committed
    Display a line showing the memory commit limit and amount of committed/uncommitted memory. The total column on this line will display the memory commit limit. This line is relevant if memory overcommit is disabled. On systems with memory overcommit enabled, the free value can temporarily appear negative. This is not a bug, but an effect of overcommit, as the system has promised more memory than the total of its virtual address space. The negative value indicates the magnitude of the system's memory over-allocation.

--help
    Wyświetlenie opisu.

-V, --version
    Wyświetlenie informacji o wersji.

PLIKI

/proc/meminfo
    informacje dotyczące pamięci

BŁĘDY
Wartość kolumny dzielone nie jest dostępna w jądrach starszych niż 2.6.32 - wtedy wyświetlane jest zero.

Please send bug reports to procps@freelists.org.

ZOBACZ TAKŻE
ps(1), slabtop(1), top(1), vmstat(8).